SPI_pfree
Prev | Up | 46.3. Memory Management | Home | Next

## SPI_pfree

SPI_pfree — free memory in the upper executor context

## Synopsis

    void SPI_pfree(void * pointer)

## Description

`SPI_pfree` frees memory previously allocated using `SPI_palloc` or `SPI_repalloc`.

This function is no longer different from plain `pfree`. It's kept just for backward compatibility of existing code.

## Arguments

`void * `pointer``

  pointer to existing storage to free

Prev | Up | Next
SPI_repalloc | Home | SPI_copytuple